> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 视频生成模型列表和参数

> 接口说明：获取当前账号可用的视频生成模型及参数范围，包括模型名称、分辨率、画面比例、时长和价格信息，以用于生成视频接口完成参数选择和请求参数校验。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/ai/models/video/generation
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: AI 服务/模型中转
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/互动
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
paths:
  /api/ai/models/video/generation:
    get:
      tags:
        - AI 服务/视频生成
      summary: 视频生成模型列表和参数
      description: >-
        接口说明：获取当前账号可用的视频生成模型及参数范围，包括模型名称、分辨率、画面比例、时长和价格信息，以用于生成视频接口完成参数选择和请求参数校验。
      operationId: VideoController_getVideoGenerationModels
      parameters: []
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: 模型名称
                        description:
                          type: string
                          description: 模型描述
                        summary:
                          type: string
                          description: 模型摘要
                        tags:
                          default: []
                          type: array
                          items:
                            type: string
                          description: 列表
                        mainTag:
                          type: string
                          description: 主要标签
                        creditsScope:
                          default: general
                          type: string
                          enum:
                            - general
                            - sale
                          description: 积分范围
                        modes:
                          type: array
                          items:
                            type: string
                            enum:
                              - text2video
                              - image2video
                              - flf2video
                              - lf2video
                              - multi-image2video
                              - multi-ref
                              - video2video
                          description: 支持模式列表
                        resolutions:
                          type: array
                          items:
                            type: string
                          description: 支持的尺寸
                        durations:
                          type: array
                          items:
                            type: number
                          description: 支持的时长
                        maxInputImages:
                          type: number
                          description: 最大输入图片数
                        inputConstraints:
                          type: object
                          properties:
                            images:
                              description: 图片输入约束
                              type: object
                              properties:
                                maxCount:
                                  description: 最大输入数量
                                  type: number
                                formats:
                                  description: 支持的文件格式
                                  type: array
                                  items:
                                    type: string
                                minDuration:
                                  description: 最小时长（秒）
                                  type: number
                                maxDuration:
                                  description: 单个文件最大时长（秒）
                                  type: number
                                maxTotalDuration:
                                  description: 总最大时长（秒）
                                  type: number
                                maxSizeMb:
                                  description: 单个文件最大大小（MB）
                                  type: number
                                minAspectRatio:
                                  description: 最小宽高比
                                  type: number
                                maxAspectRatio:
                                  description: 最大宽高比
                                  type: number
                                minWidth:
                                  description: 最小宽度
                                  type: number
                                maxWidth:
                                  description: 最大宽度
                                  type: number
                                minPixels:
                                  description: 最小像素数
                                  type: number
                                maxPixels:
                                  description: 最大像素数
                                  type: number
                                minFps:
                                  description: 最小帧率
                                  type: number
                                maxFps:
                                  description: 最大帧率
                                  type: number
                              additionalProperties: false
                            videos:
                              description: 视频输入约束
                              type: object
                              properties:
                                maxCount:
                                  description: 最大输入数量
                                  type: number
                                formats:
                                  description: 支持的文件格式
                                  type: array
                                  items:
                                    type: string
                                minDuration:
                                  description: 最小时长（秒）
                                  type: number
                                maxDuration:
                                  description: 单个文件最大时长（秒）
                                  type: number
                                maxTotalDuration:
                                  description: 总最大时长（秒）
                                  type: number
                                maxSizeMb:
                                  description: 单个文件最大大小（MB）
                                  type: number
                                minAspectRatio:
                                  description: 最小宽高比
                                  type: number
                                maxAspectRatio:
                                  description: 最大宽高比
                                  type: number
                                minWidth:
                                  description: 最小宽度
                                  type: number
                                maxWidth:
                                  description: 最大宽度
                                  type: number
                                minPixels:
                                  description: 最小像素数
                                  type: number
                                maxPixels:
                                  description: 最大像素数
                                  type: number
                                minFps:
                                  description: 最小帧率
                                  type: number
                                maxFps:
                                  description: 最大帧率
                                  type: number
                              additionalProperties: false
                            audios:
                              description: 音频输入约束
                              type: object
                              properties:
                                maxCount:
                                  description: 最大输入数量
                                  type: number
                                formats:
                                  description: 支持的文件格式
                                  type: array
                                  items:
                                    type: string
                                minDuration:
                                  description: 最小时长（秒）
                                  type: number
                                maxDuration:
                                  description: 单个文件最大时长（秒）
                                  type: number
                                maxTotalDuration:
                                  description: 总最大时长（秒）
                                  type: number
                                maxSizeMb:
                                  description: 单个文件最大大小（MB）
                                  type: number
                                minAspectRatio:
                                  description: 最小宽高比
                                  type: number
                                maxAspectRatio:
                                  description: 最大宽高比
                                  type: number
                                minWidth:
                                  description: 最小宽度
                                  type: number
                                maxWidth:
                                  description: 最大宽度
                                  type: number
                                minPixels:
                                  description: 最小像素数
                                  type: number
                                maxPixels:
                                  description: 最大像素数
                                  type: number
                                minFps:
                                  description: 最小帧率
                                  type: number
                                maxFps:
                                  description: 最大帧率
                                  type: number
                              additionalProperties: false
                          additionalProperties: false
                          description: 多模态输入约束
                        aspectRatios:
                          type: array
                          items:
                            type: string
                          description: 支持的宽高比列表
                        defaults:
                          type: object
                          properties:
                            resolution:
                              type: string
                            aspectRatio:
                              type: string
                            duration:
                              type: number
                          additionalProperties: false
                          description: 默认值
                        pricing:
                          type: array
                          items:
                            type: object
                            properties:
                              resolution:
                                type: string
                              aspectRatio:
                                type: string
                              mode:
                                type: string
                              duration:
                                type: number
                              price:
                                type: number
                              discount:
                                type: string
                              originPrice:
                                type: number
                            required:
                              - price
                            additionalProperties: false
                          description: 价格表
                      required:
                        - name
                        - description
                        - tags
                        - creditsScope
                        - modes
                        - resolutions
                        - durations
                        - maxInputImages
                        - aspectRatios
                        - defaults
                        - pricing
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
                required:
                  - code
                  - message
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      - name: string
                        description: string
                        tags: []
                        creditsScope: general
                        modes:
                          - text2video
                        resolutions:
                          - string
                        durations:
                          - 1
                        maxInputImages: 1
                        aspectRatios:
                          - string
                        defaults:
                          resolution: string
                          aspectRatio: string
                          duration: 1
                        pricing:
                          - price: 1
                            resolution: string
                            aspectRatio: string
                            mode: string
                            duration: 1
                            discount: string
                            originPrice: 1
                        summary: string
      deprecated: false
      security: []

````